Package ghidra.app.util.bin.format.dwarf4.encoding

# Class DWARFAttribute

java.lang.Object
ghidra.app.util.bin.format.dwarf4.encoding.DWARFAttribute

public final class DWARFAttribute extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DW_AT_abstract_origin`
  `static final int`
  `DW_AT_accessibility`
  `static final int`
  `DW_AT_addr_base`
  `static final int`
  `DW_AT_address_class`
  `static final int`
  `DW_AT_alignment`
  `static final int`
  `DW_AT_allocated`
  `static final int`
  `DW_AT_APPLE_omit_frame_ptr`
  `static final int`
  `DW_AT_APPLE_optimized`
  `static final int`
  `DW_AT_APPLE_ptrauth_address_discriminated`
  `static final int`
  `DW_AT_APPLE_ptrauth_extra_discriminator`
  `static final int`
  `DW_AT_APPLE_ptrauth_key`
  `static final int`
  `DW_AT_artificial`
  `static final int`
  `DW_AT_associated`
  `static final int`
  `DW_AT_base_types`
  `static final int`
  `DW_AT_binary_scale`
  `static final int`
  `DW_AT_bit_offset`
  `static final int`
  `DW_AT_bit_size`
  `static final int`
  `DW_AT_bit_stride`
  `static final int`
  `DW_AT_byte_size`
  `static final int`
  `DW_AT_byte_stride`
  `static final int`
  `DW_AT_call_all_calls`
  `static final int`
  `DW_AT_call_all_source_calls`
  `static final int`
  `DW_AT_call_all_tail_calls`
  `static final int`
  `DW_AT_call_column`
  `static final int`
  `DW_AT_call_data_location`
  `static final int`
  `DW_AT_call_data_value`
  `static final int`
  `DW_AT_call_file`
  `static final int`
  `DW_AT_call_line`
  `static final int`
  `DW_AT_call_origin`
  `static final int`
  `DW_AT_call_parameter`
  `static final int`
  `DW_AT_call_pc`
  `static final int`
  `DW_AT_call_return_pc`
  `static final int`
  `DW_AT_call_tail_call`
  `static final int`
  `DW_AT_call_target`
  `static final int`
  `DW_AT_call_target_clobbered`
  `static final int`
  `DW_AT_call_value`
  `static final int`
  `DW_AT_calling_convention`
  `static final int`
  `DW_AT_common_reference`
  `static final int`
  `DW_AT_comp_dir`
  `static final int`
  `DW_AT_const_expr`
  `static final int`
  `DW_AT_const_value`
  `static final int`
  `DW_AT_containing_type`
  `static final int`
  `DW_AT_count`
  `static final int`
  `DW_AT_data_bit_offset`
  `static final int`
  `DW_AT_data_location`
  `static final int`
  `DW_AT_data_member_location`
  `static final int`
  `DW_AT_decimal_scale`
  `static final int`
  `DW_AT_decimal_sign`
  `static final int`
  `DW_AT_decl_column`
  `static final int`
  `DW_AT_decl_file`
  `static final int`
  `DW_AT_decl_line`
  `static final int`
  `DW_AT_declaration`
  `static final int`
  `DW_AT_default_value`
  `static final int`
  `DW_AT_defaulted`
  `static final int`
  `DW_AT_deleted`
  `static final int`
  `DW_AT_description`
  `static final int`
  `DW_AT_digit_count`
  `static final int`
  `DW_AT_discr`
  `static final int`
  `DW_AT_discr_list`
  `static final int`
  `DW_AT_discr_value`
  `static final int`
  `DW_AT_dwo_name`
  `static final int`
  `DW_AT_elemental`
  `static final int`
  `DW_AT_encoding`
  `static final int`
  `DW_AT_endianity`
  `static final int`
  `DW_AT_entry_pc`
  `static final int`
  `DW_AT_enum_class`
  `static final int`
  `DW_AT_explicit`
  `static final int`
  `DW_AT_export_symbols`
  `static final int`
  `DW_AT_extension`
  `static final int`
  `DW_AT_external`
  `static final int`
  `DW_AT_frame_base`
  `static final int`
  `DW_AT_friend`
  `static final int`
  `DW_AT_GNU_addr_base`
  `static final int`
  `DW_AT_GNU_dwo_id`
  `static final int`
  `DW_AT_GNU_dwo_name`
  `static final int`
  `DW_AT_GNU_pubnames`
  `static final int`
  `DW_AT_GNU_pubtypes`
  `static final int`
  `DW_AT_GNU_ranges_base`
  `static final int`
  `DW_AT_go_dict_index`
  `static final int`
  `DW_AT_go_elem`
  `static final int`
  `DW_AT_go_embedded_field`
  `static final int`
  `DW_AT_go_key`
  `static final int`
  `DW_AT_go_kind`
  `static final int`
  `DW_AT_go_package_name`
  `static final int`
  `DW_AT_go_runtime_type`
  `static final int`
  `DW_AT_hi_user`
  `static final int`
  `DW_AT_high_pc`
  `static final int`
  `DW_AT_identifier_case`
  `static final int`
  `DW_AT_import`
  `static final int`
  `DW_AT_inline`
  `static final int`
  `DW_AT_is_optional`
  `static final int`
  `DW_AT_language`
  `static final int`
  `DW_AT_linkage_name`
  `static final int`
  `DW_AT_lo_user`
  `static final int`
  `DW_AT_location`
  `static final int`
  `DW_AT_loclists_base`
  `static final int`
  `DW_AT_low_pc`
  `static final int`
  `DW_AT_lower_bound`
  `static final int`
  `DW_AT_macro_info`
  `static final int`
  `DW_AT_macros`
  `static final int`
  `DW_AT_main_subprogram`
  `static final int`
  `DW_AT_MIPS_linkage_name`
  `static final int`
  `DW_AT_mutable`
  `static final int`
  `DW_AT_name`
  `static final int`
  `DW_AT_namelist_item`
  `static final int`
  `DW_AT_noreturn`
  `static final int`
  `DW_AT_object_pointer`
  `static final int`
  `DW_AT_ordering`
  `static final int`
  `DW_AT_picture_string`
  `static final int`
  `DW_AT_priority`
  `static final int`
  `DW_AT_producer`
  `static final int`
  `DW_AT_prototyped`
  `static final int`
  `DW_AT_pure`
  `static final int`
  `DW_AT_ranges`
  `static final int`
  `DW_AT_rank`
  `static final int`
  `DW_AT_recursive`
  `static final int`
  `DW_AT_reference`
  `static final int`
  `DW_AT_return_addr`
  `static final int`
  `DW_AT_rnglists_base`
  `static final int`
  `DW_AT_rvalue_reference`
  `static final int`
  `DW_AT_segment`
  `static final int`
  `DW_AT_sibling`
  `static final int`
  `DW_AT_signature`
  `static final int`
  `DW_AT_small`
  `static final int`
  `DW_AT_specification`
  `static final int`
  `DW_AT_start_scope`
  `static final int`
  `DW_AT_static_link`
  `static final int`
  `DW_AT_stmt_list`
  `static final int`
  `DW_AT_str_offsets_base`
  `static final int`
  `DW_AT_string_length`
  `static final int`
  `DW_AT_string_length_bit_size`
  `static final int`
  `DW_AT_string_length_byte_size`
  `static final int`
  `DW_AT_threads_scaled`
  `static final int`
  `DW_AT_trampoline`
  `static final int`
  `DW_AT_type`
  `static final int`
  `DW_AT_upper_bound`
  `static final int`
  `DW_AT_use_location`
  `static final int`
  `DW_AT_use_UTF8`
  `static final int`
  `DW_AT_variable_parameter`
  `static final int`
  `DW_AT_virtuality`
  `static final int`
  `DW_AT_visibility`
  `static final int`
  `DW_AT_vtable_elem_location`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFAttribute()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `toString(long value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DW_AT_sibling

    public static final int DW_AT_sibling
    See Also:
      - Constant Field Values

  - ### DW_AT_location

    public static final int DW_AT_location
    See Also:
      - Constant Field Values

  - ### DW_AT_name

    public static final int DW_AT_name
    See Also:
      - Constant Field Values

  - ### DW_AT_ordering

    public static final int DW_AT_ordering
    See Also:
      - Constant Field Values

  - ### DW_AT_byte_size

    public static final int DW_AT_byte_size
    See Also:
      - Constant Field Values

  - ### DW_AT_bit_offset

    public static final int DW_AT_bit_offset
    See Also:
      - Constant Field Values

  - ### DW_AT_bit_size

    public static final int DW_AT_bit_size
    See Also:
      - Constant Field Values

  - ### DW_AT_stmt_list

    public static final int DW_AT_stmt_list
    See Also:
      - Constant Field Values

  - ### DW_AT_low_pc

    public static final int DW_AT_low_pc
    See Also:
      - Constant Field Values

  - ### DW_AT_high_pc

    public static final int DW_AT_high_pc
    See Also:
      - Constant Field Values

  - ### DW_AT_language

    public static final int DW_AT_language
    See Also:
      - Constant Field Values

  - ### DW_AT_discr

    public static final int DW_AT_discr
    See Also:
      - Constant Field Values

  - ### DW_AT_discr_value

    public static final int DW_AT_discr_value
    See Also:
      - Constant Field Values

  - ### DW_AT_visibility

    public static final int DW_AT_visibility
    See Also:
      - Constant Field Values

  - ### DW_AT_import

    public static final int DW_AT_import
    See Also:
      - Constant Field Values

  - ### DW_AT_string_length

    public static final int DW_AT_string_length
    See Also:
      - Constant Field Values

  - ### DW_AT_common_reference

    public static final int DW_AT_common_reference
    See Also:
      - Constant Field Values

  - ### DW_AT_comp_dir

    public static final int DW_AT_comp_dir
    See Also:
      - Constant Field Values

  - ### DW_AT_const_value

    public static final int DW_AT_const_value
    See Also:
      - Constant Field Values

  - ### DW_AT_containing_type

    public static final int DW_AT_containing_type
    See Also:
      - Constant Field Values

  - ### DW_AT_default_value

    public static final int DW_AT_default_value
    See Also:
      - Constant Field Values

  - ### DW_AT_inline

    public static final int DW_AT_inline
    See Also:
      - Constant Field Values

  - ### DW_AT_is_optional

    public static final int DW_AT_is_optional
    See Also:
      - Constant Field Values

  - ### DW_AT_lower_bound

    public static final int DW_AT_lower_bound
    See Also:
      - Constant Field Values

  - ### DW_AT_producer

    public static final int DW_AT_producer
    See Also:
      - Constant Field Values

  - ### DW_AT_prototyped

    public static final int DW_AT_prototyped
    See Also:
      - Constant Field Values

  - ### DW_AT_return_addr

    public static final int DW_AT_return_addr
    See Also:
      - Constant Field Values

  - ### DW_AT_start_scope

    public static final int DW_AT_start_scope
    See Also:
      - Constant Field Values

  - ### DW_AT_bit_stride

    public static final int DW_AT_bit_stride
    See Also:
      - Constant Field Values

  - ### DW_AT_upper_bound

    public static final int DW_AT_upper_bound
    See Also:
      - Constant Field Values

  - ### DW_AT_abstract_origin

    public static final int DW_AT_abstract_origin
    See Also:
      - Constant Field Values

  - ### DW_AT_accessibility

    public static final int DW_AT_accessibility
    See Also:
      - Constant Field Values

  - ### DW_AT_address_class

    public static final int DW_AT_address_class
    See Also:
      - Constant Field Values

  - ### DW_AT_artificial

    public static final int DW_AT_artificial
    See Also:
      - Constant Field Values

  - ### DW_AT_base_types

    public static final int DW_AT_base_types
    See Also:
      - Constant Field Values

  - ### DW_AT_calling_convention

    public static final int DW_AT_calling_convention
    See Also:
      - Constant Field Values

  - ### DW_AT_count

    public static final int DW_AT_count
    See Also:
      - Constant Field Values

  - ### DW_AT_data_member_location

    public static final int DW_AT_data_member_location
    See Also:
      - Constant Field Values

  - ### DW_AT_decl_column

    public static final int DW_AT_decl_column
    See Also:
      - Constant Field Values

  - ### DW_AT_decl_file

    public static final int DW_AT_decl_file
    See Also:
      - Constant Field Values

  - ### DW_AT_decl_line

    public static final int DW_AT_decl_line
    See Also:
      - Constant Field Values

  - ### DW_AT_declaration

    public static final int DW_AT_declaration
    See Also:
      - Constant Field Values

  - ### DW_AT_discr_list

    public static final int DW_AT_discr_list
    See Also:
      - Constant Field Values

  - ### DW_AT_encoding

    public static final int DW_AT_encoding
    See Also:
      - Constant Field Values

  - ### DW_AT_external

    public static final int DW_AT_external
    See Also:
      - Constant Field Values

  - ### DW_AT_frame_base

    public static final int DW_AT_frame_base
    See Also:
      - Constant Field Values

  - ### DW_AT_friend

    public static final int DW_AT_friend
    See Also:
      - Constant Field Values

  - ### DW_AT_identifier_case

    public static final int DW_AT_identifier_case
    See Also:
      - Constant Field Values

  - ### DW_AT_macro_info

    public static final int DW_AT_macro_info
    See Also:
      - Constant Field Values

  - ### DW_AT_namelist_item

    public static final int DW_AT_namelist_item
    See Also:
      - Constant Field Values

  - ### DW_AT_priority

    public static final int DW_AT_priority
    See Also:
      - Constant Field Values

  - ### DW_AT_segment

    public static final int DW_AT_segment
    See Also:
      - Constant Field Values

  - ### DW_AT_specification

    public static final int DW_AT_specification
    See Also:
      - Constant Field Values

  - ### DW_AT_static_link

    public static final int DW_AT_static_link
    See Also:
      - Constant Field Values

  - ### DW_AT_type

    public static final int DW_AT_type
    See Also:
      - Constant Field Values

  - ### DW_AT_use_location

    public static final int DW_AT_use_location
    See Also:
      - Constant Field Values

  - ### DW_AT_variable_parameter

    public static final int DW_AT_variable_parameter
    See Also:
      - Constant Field Values

  - ### DW_AT_virtuality

    public static final int DW_AT_virtuality
    See Also:
      - Constant Field Values

  - ### DW_AT_vtable_elem_location

    public static final int DW_AT_vtable_elem_location
    See Also:
      - Constant Field Values

  - ### DW_AT_allocated

    public static final int DW_AT_allocated
    See Also:
      - Constant Field Values

  - ### DW_AT_associated

    public static final int DW_AT_associated
    See Also:
      - Constant Field Values

  - ### DW_AT_data_location

    public static final int DW_AT_data_location
    See Also:
      - Constant Field Values

  - ### DW_AT_byte_stride

    public static final int DW_AT_byte_stride
    See Also:
      - Constant Field Values

  - ### DW_AT_entry_pc

    public static final int DW_AT_entry_pc
    See Also:
      - Constant Field Values

  - ### DW_AT_use_UTF8

    public static final int DW_AT_use_UTF8
    See Also:
      - Constant Field Values

  - ### DW_AT_extension

    public static final int DW_AT_extension
    See Also:
      - Constant Field Values

  - ### DW_AT_ranges

    public static final int DW_AT_ranges
    See Also:
      - Constant Field Values

  - ### DW_AT_trampoline

    public static final int DW_AT_trampoline
    See Also:
      - Constant Field Values

  - ### DW_AT_call_column

    public static final int DW_AT_call_column
    See Also:
      - Constant Field Values

  - ### DW_AT_call_file

    public static final int DW_AT_call_file
    See Also:
      - Constant Field Values

  - ### DW_AT_call_line

    public static final int DW_AT_call_line
    See Also:
      - Constant Field Values

  - ### DW_AT_description

    public static final int DW_AT_description
    See Also:
      - Constant Field Values

  - ### DW_AT_binary_scale

    public static final int DW_AT_binary_scale
    See Also:
      - Constant Field Values

  - ### DW_AT_decimal_scale

    public static final int DW_AT_decimal_scale
    See Also:
      - Constant Field Values

  - ### DW_AT_small

    public static final int DW_AT_small
    See Also:
      - Constant Field Values

  - ### DW_AT_decimal_sign

    public static final int DW_AT_decimal_sign
    See Also:
      - Constant Field Values

  - ### DW_AT_digit_count

    public static final int DW_AT_digit_count
    See Also:
      - Constant Field Values

  - ### DW_AT_picture_string

    public static final int DW_AT_picture_string
    See Also:
      - Constant Field Values

  - ### DW_AT_mutable

    public static final int DW_AT_mutable
    See Also:
      - Constant Field Values

  - ### DW_AT_threads_scaled

    public static final int DW_AT_threads_scaled
    See Also:
      - Constant Field Values

  - ### DW_AT_explicit

    public static final int DW_AT_explicit
    See Also:
      - Constant Field Values

  - ### DW_AT_object_pointer

    public static final int DW_AT_object_pointer
    See Also:
      - Constant Field Values

  - ### DW_AT_endianity

    public static final int DW_AT_endianity
    See Also:
      - Constant Field Values

  - ### DW_AT_elemental

    public static final int DW_AT_elemental
    See Also:
      - Constant Field Values

  - ### DW_AT_pure

    public static final int DW_AT_pure
    See Also:
      - Constant Field Values

  - ### DW_AT_recursive

    public static final int DW_AT_recursive
    See Also:
      - Constant Field Values

  - ### DW_AT_signature

    public static final int DW_AT_signature
    See Also:
      - Constant Field Values

  - ### DW_AT_main_subprogram

    public static final int DW_AT_main_subprogram
    See Also:
      - Constant Field Values

  - ### DW_AT_data_bit_offset

    public static final int DW_AT_data_bit_offset
    See Also:
      - Constant Field Values

  - ### DW_AT_const_expr

    public static final int DW_AT_const_expr
    See Also:
      - Constant Field Values

  - ### DW_AT_enum_class

    public static final int DW_AT_enum_class
    See Also:
      - Constant Field Values

  - ### DW_AT_linkage_name

    public static final int DW_AT_linkage_name
    See Also:
      - Constant Field Values

  - ### DW_AT_string_length_bit_size

    public static final int DW_AT_string_length_bit_size
    See Also:
      - Constant Field Values

  - ### DW_AT_string_length_byte_size

    public static final int DW_AT_string_length_byte_size
    See Also:
      - Constant Field Values

  - ### DW_AT_rank

    public static final int DW_AT_rank
    See Also:
      - Constant Field Values

  - ### DW_AT_str_offsets_base

    public static final int DW_AT_str_offsets_base
    See Also:
      - Constant Field Values

  - ### DW_AT_addr_base

    public static final int DW_AT_addr_base
    See Also:
      - Constant Field Values

  - ### DW_AT_rnglists_base

    public static final int DW_AT_rnglists_base
    See Also:
      - Constant Field Values

  - ### DW_AT_dwo_name

    public static final int DW_AT_dwo_name
    See Also:
      - Constant Field Values

  - ### DW_AT_reference

    public static final int DW_AT_reference
    See Also:
      - Constant Field Values

  - ### DW_AT_rvalue_reference

    public static final int DW_AT_rvalue_reference
    See Also:
      - Constant Field Values

  - ### DW_AT_macros

    public static final int DW_AT_macros
    See Also:
      - Constant Field Values

  - ### DW_AT_call_all_calls

    public static final int DW_AT_call_all_calls
    See Also:
      - Constant Field Values

  - ### DW_AT_call_all_source_calls

    public static final int DW_AT_call_all_source_calls
    See Also:
      - Constant Field Values

  - ### DW_AT_call_all_tail_calls

    public static final int DW_AT_call_all_tail_calls
    See Also:
      - Constant Field Values

  - ### DW_AT_call_return_pc

    public static final int DW_AT_call_return_pc
    See Also:
      - Constant Field Values

  - ### DW_AT_call_value

    public static final int DW_AT_call_value
    See Also:
      - Constant Field Values

  - ### DW_AT_call_origin

    public static final int DW_AT_call_origin
    See Also:
      - Constant Field Values

  - ### DW_AT_call_parameter

    public static final int DW_AT_call_parameter
    See Also:
      - Constant Field Values

  - ### DW_AT_call_pc

    public static final int DW_AT_call_pc
    See Also:
      - Constant Field Values

  - ### DW_AT_call_tail_call

    public static final int DW_AT_call_tail_call
    See Also:
      - Constant Field Values

  - ### DW_AT_call_target

    public static final int DW_AT_call_target
    See Also:
      - Constant Field Values

  - ### DW_AT_call_target_clobbered

    public static final int DW_AT_call_target_clobbered
    See Also:
      - Constant Field Values

  - ### DW_AT_call_data_location

    public static final int DW_AT_call_data_location
    See Also:
      - Constant Field Values

  - ### DW_AT_call_data_value

    public static final int DW_AT_call_data_value
    See Also:
      - Constant Field Values

  - ### DW_AT_noreturn

    public static final int DW_AT_noreturn
    See Also:
      - Constant Field Values

  - ### DW_AT_alignment

    public static final int DW_AT_alignment
    See Also:
      - Constant Field Values

  - ### DW_AT_export_symbols

    public static final int DW_AT_export_symbols
    See Also:
      - Constant Field Values

  - ### DW_AT_deleted

    public static final int DW_AT_deleted
    See Also:
      - Constant Field Values

  - ### DW_AT_defaulted

    public static final int DW_AT_defaulted
    See Also:
      - Constant Field Values

  - ### DW_AT_loclists_base

    public static final int DW_AT_loclists_base
    See Also:
      - Constant Field Values

  - ### DW_AT_lo_user

    public static final int DW_AT_lo_user
    See Also:
      - Constant Field Values

  - ### DW_AT_hi_user

    public static final int DW_AT_hi_user
    See Also:
      - Constant Field Values

  - ### DW_AT_MIPS_linkage_name

    public static final int DW_AT_MIPS_linkage_name
    See Also:
      - Constant Field Values

  - ### DW_AT_GNU_dwo_name

    public static final int DW_AT_GNU_dwo_name
    See Also:
      - Constant Field Values

  - ### DW_AT_GNU_dwo_id

    public static final int DW_AT_GNU_dwo_id
    See Also:
      - Constant Field Values

  - ### DW_AT_GNU_ranges_base

    public static final int DW_AT_GNU_ranges_base
    See Also:
      - Constant Field Values

  - ### DW_AT_GNU_addr_base

    public static final int DW_AT_GNU_addr_base
    See Also:
      - Constant Field Values

  - ### DW_AT_GNU_pubnames

    public static final int DW_AT_GNU_pubnames
    See Also:
      - Constant Field Values

  - ### DW_AT_GNU_pubtypes

    public static final int DW_AT_GNU_pubtypes
    See Also:
      - Constant Field Values

  - ### DW_AT_go_kind

    public static final int DW_AT_go_kind
    See Also:
      - Constant Field Values

  - ### DW_AT_go_key

    public static final int DW_AT_go_key
    See Also:
      - Constant Field Values

  - ### DW_AT_go_elem

    public static final int DW_AT_go_elem
    See Also:
      - Constant Field Values

  - ### DW_AT_go_embedded_field

    public static final int DW_AT_go_embedded_field
    See Also:
      - Constant Field Values

  - ### DW_AT_go_runtime_type

    public static final int DW_AT_go_runtime_type
    See Also:
      - Constant Field Values

  - ### DW_AT_go_package_name

    public static final int DW_AT_go_package_name
    See Also:
      - Constant Field Values

  - ### DW_AT_go_dict_index

    public static final int DW_AT_go_dict_index
    See Also:
      - Constant Field Values

  - ### DW_AT_APPLE_ptrauth_key

    public static final int DW_AT_APPLE_ptrauth_key
    See Also:
      - Constant Field Values

  - ### DW_AT_APPLE_ptrauth_address_discriminated

    public static final int DW_AT_APPLE_ptrauth_address_discriminated
    See Also:
      - Constant Field Values

  - ### DW_AT_APPLE_ptrauth_extra_discriminator

    public static final int DW_AT_APPLE_ptrauth_extra_discriminator
    See Also:
      - Constant Field Values

  - ### DW_AT_APPLE_omit_frame_ptr

    public static final int DW_AT_APPLE_omit_frame_ptr
    See Also:
      - Constant Field Values

  - ### DW_AT_APPLE_optimized

    public static final int DW_AT_APPLE_optimized
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DWARFAttribute

    public DWARFAttribute()

- ## Method Details

  - ### toString

    public static String toString(long value)